/*===========================================================================*/
/*   (User/user.scm)                                                         */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent User/user.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzuser_userz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evalz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT double BGl_roundflz00zz__r4_numbers_6_5_flonumz00(double);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
BGL_IMPORT obj_t open_input_string(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_userzd2walkzd2zzuser_userz00(obj_t);
BGL_IMPORT obj_t BGl_za2userzd2passza2zd2zz__evalz00;
extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
BGL_IMPORT obj_t string_to_bstring(char *);
BGL_IMPORT obj_t display_string(obj_t, obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzuser_userz00();
BGL_IMPORT obj_t BGl_za2userzd2passzd2nameza2z00zz__evalz00;
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
static obj_t BGl__userzd2walkzd2zzuser_userz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzuser_userz00();
static obj_t BGl_requirezd2initializa7ationz75zzuser_userz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzuser_userz00();
static obj_t BGl_toplevelzd2initzd2zzuser_userz00();
static obj_t __cnst[ 4 ] ;


DEFINE_EXPORT_PROCEDURE( BGl_userzd2walkzd2envz00zzuser_userz00, BgL_bgl__userza7d2walkza7d2za7za7user_userza7001202za7, BGl__userzd2walkzd2zzuser_userz00, 0L, 1 );
DEFINE_STRING( BGl_string1172z00zzuser_userz00, BgL_bgl_string1172za700za7za7user_userza7001203z00, "done dummy nothing pass-started ", 32 );
DEFINE_STRING( BGl_string1171z00zzuser_userz00, BgL_bgl_string1171za700za7za7user_userza7001204z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string1170z00zzuser_userz00, BgL_bgl_string1170za700za7za7user_userza7001205z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string1169z00zzuser_userz00, BgL_bgl_string1169za700za7za7user_userza7001206z00, " error", 6 );
DEFINE_STRING( BGl_string1168z00zzuser_userz00, BgL_bgl_string1168za700za7za7user_userza7001207z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string1167z00zzuser_userz00, BgL_bgl_string1167za700za7za7user_userza7001208z00, "   . ", 5 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzuser_userz00(long BgL_checksumz00_135, char * BgL_fromz00_136)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzuser_userz00))
{ 
BGl_requirezd2initializa7ationz75zzuser_userz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzuser_userz00(); 
BGl_cnstzd2initzd2zzuser_userz00(); 
BGl_importedzd2moduleszd2initz00zzuser_userz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzuser_userz00()
{ AN_OBJECT;
{ /* ./User/user.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "user_user"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "user_user"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "user_user"); 
BGl_modulezd2initializa7ationz75zz__evalz00(((long)0), "user_user"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "user_user"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "user_user"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzuser_userz00()
{ AN_OBJECT;
{ /* ./User/user.scm 15 */
{ /* ./User/user.scm 15 */
obj_t BgL_cportz00_128;
BgL_cportz00_128 = 
open_input_string(BGl_string1172z00zzuser_userz00); 
{ 
long BgL_iz00_129;
BgL_iz00_129 = ((long)3); 
BgL_loopz00_130:
{ /* ./User/user.scm 15 */
bool_t BgL_test1174z00_131;
BgL_test1174z00_131 = 
(BgL_iz00_129==((long)-1)); 
if(BgL_test1174z00_131)
{ /* ./User/user.scm 15 */
return BUNSPEC;}  else 
{ /* ./User/user.scm 15 */
{ /* ./User/user.scm 15 */
obj_t BgL_arg1177z00_132;
{ /* ./User/user.scm 15 */
obj_t BgL_list1180z00_133;
BgL_list1180z00_133 = 
MAKE_PAIR(BgL_cportz00_128, BNIL); 
BgL_arg1177z00_132 = 
BGl_readz00zz__readerz00(BgL_list1180z00_133); } 
{ /* ./User/user.scm 15 */
int BgL_auxz00_154;
BgL_auxz00_154 = 
(int)(BgL_iz00_129); 
CNST_TABLE_SET(BgL_auxz00_154, BgL_arg1177z00_132); } } 
{ /* ./User/user.scm 15 */
int BgL_auxz00_134;
{ /* ./User/user.scm 15 */
long BgL_auxz00_157;
BgL_auxz00_157 = 
(BgL_iz00_129-((long)1)); 
BgL_auxz00_134 = 
(int)(BgL_auxz00_157); } 
{ 
long BgL_iz00_160;
BgL_iz00_160 = 
(long)(BgL_auxz00_134); 
BgL_iz00_129 = BgL_iz00_160; 
goto BgL_loopz00_130;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzuser_userz00()
{ AN_OBJECT;
{ /* ./User/user.scm 15 */
return BUNSPEC;} 
}



/* user-walk */
BGL_EXPORTED_DEF obj_t BGl_userzd2walkzd2zzuser_userz00(obj_t BgL_unitsz00_19)
{ AN_OBJECT;
{ /* ./User/user.scm 27 */
{ /* ./User/user.scm 28 */
bool_t BgL_test1041z00_30;
{ /* ./User/user.scm 28 */
obj_t BgL_objz00_88;
BgL_objz00_88 = BGl_za2userzd2passza2zd2zz__evalz00; 
BgL_test1041z00_30 = 
PROCEDUREP(BgL_objz00_88); } 
if(BgL_test1041z00_30)
{ /* ./User/user.scm 29 */
obj_t BgL_unitz00_31;
BgL_unitz00_31 = 
BGl_getzd2toplevelzd2unitz00zzmodule_includez00(); 
{ /* ./User/user.scm 30 */
obj_t BgL_list1043z00_32;
{ /* ./User/user.scm 30 */
obj_t BgL_arg1046z00_34;
{ /* ./User/user.scm 30 */
obj_t BgL_arg1049z00_35;
{ /* ./User/user.scm 30 */
obj_t BgL_auxz00_165;
BgL_auxz00_165 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg1049z00_35 = 
MAKE_PAIR(BgL_auxz00_165, BNIL); } 
BgL_arg1046z00_34 = 
MAKE_PAIR(BGl_za2userzd2passzd2nameza2z00zz__evalz00, BgL_arg1049z00_35); } 
BgL_list1043z00_32 = 
MAKE_PAIR(BGl_string1167z00zzuser_userz00, BgL_arg1046z00_34); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list1043z00_32); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_za2userzd2passzd2nameza2z00zz__evalz00; 
{ 
obj_t BgL_hooksz00_36;obj_t BgL_hnamesz00_37;
{ /* ./User/user.scm 30 */
obj_t BgL_arg1053z00_39;
BgL_arg1053z00_39 = BNIL; 
BgL_hooksz00_36 = BgL_arg1053z00_39; 
BgL_hnamesz00_37 = BNIL; 
BgL_loopz00_38:
{ /* ./User/user.scm 30 */
bool_t BgL_test1058z00_42;
BgL_test1058z00_42 = 
NULLP(BgL_hooksz00_36); 
if(BgL_test1058z00_42)
{ /* ./User/user.scm 30 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* ./User/user.scm 30 */
bool_t BgL_test1059z00_43;
{ /* ./User/user.scm 30 */
obj_t BgL_fun1080z00_48;
BgL_fun1080z00_48 = 
CAR(BgL_hooksz00_36); 
{ /* ./User/user.scm 30 */
obj_t BgL_auxz00_177;
BgL_auxz00_177 = 
PROCEDURE_ENTRY(BgL_fun1080z00_48)(BgL_fun1080z00_48, BEOA); 
BgL_test1059z00_43 = 
CBOOL(BgL_auxz00_177); } } 
if(BgL_test1059z00_43)
{ /* ./User/user.scm 30 */
{ /* ./User/user.scm 30 */
obj_t BgL_arg1061z00_44;obj_t BgL_arg1064z00_45;
BgL_arg1061z00_44 = 
CDR(BgL_hooksz00_36); 
BgL_arg1064z00_45 = 
CDR(BgL_hnamesz00_37); 
{ 
obj_t BgL_hnamesz00_185;obj_t BgL_hooksz00_184;
BgL_hooksz00_184 = BgL_arg1061z00_44; 
BgL_hnamesz00_185 = BgL_arg1064z00_45; 
BgL_hnamesz00_37 = BgL_hnamesz00_185; 
BgL_hooksz00_36 = BgL_hooksz00_184; 
goto BgL_loopz00_38;} } }  else 
{ /* ./User/user.scm 30 */
{ /* ./User/user.scm 30 */
obj_t BgL_arg1075z00_47;
BgL_arg1075z00_47 = 
CAR(BgL_hnamesz00_37); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2userzd2passzd2nameza2z00zz__evalz00, BGl_string1168z00zzuser_userz00, BgL_arg1075z00_47); } } } } } } 
{ /* ./User/user.scm 31 */
bool_t BgL_test1083z00_49;
{ /* ./User/user.scm 31 */
obj_t BgL_auxz00_188;
{ /* ./User/user.scm 31 */
int BgL_auxz00_189;
BgL_auxz00_189 = 
(int)(((long)2)); 
BgL_auxz00_188 = 
STRUCT_REF(BgL_unitz00_31, BgL_auxz00_189); } 
BgL_test1083z00_49 = 
PROCEDUREP(BgL_auxz00_188); } 
if(BgL_test1083z00_49)
{ /* ./User/user.scm 31 */
CNST_TABLE_REF(((long)1)); }  else 
{ /* ./User/user.scm 35 */
obj_t BgL_arg1085z00_50;
{ /* ./User/user.scm 35 */
obj_t BgL_arg1088z00_51;
{ /* ./User/user.scm 35 */
int BgL_auxz00_195;
BgL_auxz00_195 = 
(int)(((long)2)); 
BgL_arg1088z00_51 = 
STRUCT_REF(BgL_unitz00_31, BgL_auxz00_195); } 
BgL_arg1085z00_50 = 
PROCEDURE_ENTRY(BGl_za2userzd2passza2zd2zz__evalz00)(BGl_za2userzd2passza2zd2zz__evalz00, BgL_arg1088z00_51, BEOA); } 
{ /* ./User/user.scm 35 */
int BgL_kz00_106;
BgL_kz00_106 = 
(int)(((long)2)); 
STRUCT_SET(BgL_unitz00_31, BgL_kz00_106, BgL_arg1085z00_50); } } } 
{ /* ./User/user.scm 36 */
obj_t BgL_valuez00_53;
BgL_valuez00_53 = 
CNST_TABLE_REF(((long)2)); 
{ /* ./User/user.scm 36 */
bool_t BgL_test1095z00_54;
{ /* ./User/user.scm 36 */
long BgL_n1z00_108;
BgL_n1z00_108 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test1095z00_54 = 
(BgL_n1z00_108>((long)0)); } 
if(BgL_test1095z00_54)
{ /* ./User/user.scm 36 */
{ /* ./User/user.scm 36 */
obj_t BgL_port1003z00_55;
BgL_port1003z00_55 = 
BGL_CURRENT_ERROR_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_port1003z00_55); 
display_string(BGl_string1169z00zzuser_userz00, BgL_port1003z00_55); 
{ /* ./User/user.scm 36 */
char * BgL_arg1099z00_56;
{ /* ./User/user.scm 36 */
bool_t BgL_test1101z00_57;
{ /* ./User/user.scm 36 */
bool_t BgL_test1102z00_58;
{ /* ./User/user.scm 36 */
bool_t BgL_res1145z00_116;
{ /* ./User/user.scm 36 */
obj_t BgL_objz00_110;
BgL_objz00_110 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* ./User/user.scm 36 */
bool_t BgL_test1396z00_111;
BgL_test1396z00_111 = 
INTEGERP(BgL_objz00_110); 
if(BgL_test1396z00_111)
{ /* ./User/user.scm 36 */
BgL_res1145z00_116 = ((bool_t)1); }  else 
{ /* ./User/user.scm 36 */
bool_t BgL_test1397z00_112;
BgL_test1397z00_112 = 
REALP(BgL_objz00_110); 
if(BgL_test1397z00_112)
{ /* ./User/user.scm 36 */
double BgL_arg1399z00_113;
BgL_arg1399z00_113 = 
BGl_roundflz00zz__r4_numbers_6_5_flonumz00(
REAL_TO_DOUBLE(BgL_objz00_110)); 
{ /* ./User/user.scm 36 */
double BgL_auxz00_215;
BgL_auxz00_215 = 
REAL_TO_DOUBLE(BgL_objz00_110); 
BgL_res1145z00_116 = 
(BgL_auxz00_215==BgL_arg1399z00_113); } }  else 
{ /* ./User/user.scm 36 */
BgL_res1145z00_116 = ((bool_t)0); } } } } 
BgL_test1102z00_58 = BgL_res1145z00_116; } 
if(BgL_test1102z00_58)
{ /* ./User/user.scm 36 */
BgL_test1101z00_57 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* ./User/user.scm 36 */
BgL_test1101z00_57 = ((bool_t)0); } } 
if(BgL_test1101z00_57)
{ /* ./User/user.scm 36 */
BgL_arg1099z00_56 = "s"; }  else 
{ /* ./User/user.scm 36 */
BgL_arg1099z00_56 = ""; } } 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg1099z00_56), BgL_port1003z00_55); } 
display_string(BGl_string1170z00zzuser_userz00, BgL_port1003z00_55); 
WRITE_CHAR(((unsigned char)'\n'), BgL_port1003z00_55); } 
{ /* ./User/user.scm 36 */
obj_t BgL_list1109z00_59;
{ /* ./User/user.scm 36 */
obj_t BgL_auxz00_226;
BgL_auxz00_226 = 
BINT(((long)-1)); 
BgL_list1109z00_59 = 
MAKE_PAIR(BgL_auxz00_226, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list1109z00_59);} }  else 
{ 
obj_t BgL_hooksz00_60;obj_t BgL_hnamesz00_61;
{ /* ./User/user.scm 36 */
obj_t BgL_arg1112z00_63;
BgL_arg1112z00_63 = BNIL; 
BgL_hooksz00_60 = BgL_arg1112z00_63; 
BgL_hnamesz00_61 = BNIL; 
BgL_loopz00_62:
{ /* ./User/user.scm 36 */
bool_t BgL_test1117z00_66;
BgL_test1117z00_66 = 
NULLP(BgL_hooksz00_60); 
if(BgL_test1117z00_66)
{ /* ./User/user.scm 36 */
return BgL_valuez00_53;}  else 
{ /* ./User/user.scm 36 */
bool_t BgL_test1118z00_67;
{ /* ./User/user.scm 36 */
obj_t BgL_fun1132z00_72;
BgL_fun1132z00_72 = 
CAR(BgL_hooksz00_60); 
{ /* ./User/user.scm 36 */
obj_t BgL_auxz00_233;
BgL_auxz00_233 = 
PROCEDURE_ENTRY(BgL_fun1132z00_72)(BgL_fun1132z00_72, BEOA); 
BgL_test1118z00_67 = 
CBOOL(BgL_auxz00_233); } } 
if(BgL_test1118z00_67)
{ /* ./User/user.scm 36 */
{ /* ./User/user.scm 36 */
obj_t BgL_arg1120z00_68;obj_t BgL_arg1121z00_69;
BgL_arg1120z00_68 = 
CDR(BgL_hooksz00_60); 
BgL_arg1121z00_69 = 
CDR(BgL_hnamesz00_61); 
{ 
obj_t BgL_hnamesz00_241;obj_t BgL_hooksz00_240;
BgL_hooksz00_240 = BgL_arg1120z00_68; 
BgL_hnamesz00_241 = BgL_arg1121z00_69; 
BgL_hnamesz00_61 = BgL_hnamesz00_241; 
BgL_hooksz00_60 = BgL_hooksz00_240; 
goto BgL_loopz00_62;} } }  else 
{ /* ./User/user.scm 36 */
{ /* ./User/user.scm 36 */
obj_t BgL_arg1127z00_71;
BgL_arg1127z00_71 = 
CAR(BgL_hnamesz00_61); 
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string1171z00zzuser_userz00, BgL_arg1127z00_71);} } } } } } } } }  else 
{ /* ./User/user.scm 28 */
return 
CNST_TABLE_REF(((long)3));} } } 
}



/* _user-walk */
obj_t BGl__userzd2walkzd2zzuser_userz00(obj_t BgL_envz00_125, obj_t BgL_unitsz00_126)
{ AN_OBJECT;
{ /* ./User/user.scm 27 */
return 
BGl_userzd2walkzd2zzuser_userz00(BgL_unitsz00_126);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzuser_userz00()
{ AN_OBJECT;
{ /* ./User/user.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23537), "user_user"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "user_user"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)10268), "user_user"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)14260), "user_user"); 
return 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)1783), "user_user");} 
}

